BMAMP3File Class Reference

`#include <BMAMP3File.h>`

Inheritance diagram for BMAMP3File:
[legend]
Collaboration diagram for BMAMP3File:
[legend]

## Public Member Functions

| BMAMP3File (BMAStreamServer &server, std::string fileName)
Public Member Functions inherited from BMAStreamContentProvider
| BMAStreamContentProvider (BMAStreamServer &server)
virtual BMAStreamFrame * | getNextStreamFrame ()
int | getFrameCount ()
Public Member Functions inherited from BMAFile
| BMAFile (std::string fileName, int mode=O_RDONLY, int authority=0664)
void | setBufferSize (size_t size)
void | read ()
void | write (std::string data)

## Additional Inherited Members

Public Attributes inherited from BMAStreamContentProvider
bool | ready = false
std::vector< BMAStreamFrame * > | frames
int | cursor
Public Attributes inherited from BMAFile
char * | buffer
size_t | size
std::string | fileName

## Detailed Description

BMAMP3File

Provides access to the MP3 formatted file as an array of BMAMP3StreamFrames.

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMAMP3File.h
- /home/barant/Documents/Development/BMASockets/BMAMP3File.cpp